Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162010 - Warning, could not load sqlite, falling back to pickle
Summary: Warning, could not load sqlite, falling back to pickle
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-29 02:41 UTC by han pingtian
Modified: 2014-01-21 22:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-24 01:43:44 UTC


Attachments (Terms of Use)

Description han pingtian 2005-06-29 02:41:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
When I invoke the yum, it always report this messages: "Warning, could not load sqlite, falling back to pickle"

Version-Release number of selected component (if applicable):
yum-2.3.3-1

How reproducible:
Always

Steps to Reproduce:
1.invoke yum such as "update","search" and so on.
2.
3.
  

Actual Results:  everything is ok except reports "Warning, could not load sqlite, falling back to pickle"

Expected Results:  no such warning message be reported

Additional info:

I have sqlite-3.1.2-3 and python-sqlite-1.1.6-1 installed

Comment 1 Seth Vidal 2005-06-29 02:48:47 UTC
rpm -ql python-sqlite

I bet it is for python 2.3, not python 2.4, hence the problem.

Comment 2 han pingtian 2005-06-30 01:10:48 UTC
$ rpm -ql python-sqlite

/usr/lib/python2.4/site-packages/_sqlite.so
/usr/lib/python2.4/site-packages/sqlite
/usr/lib/python2.4/site-packages/sqlite/__init__.py
/usr/lib/python2.4/site-packages/sqlite/__init__.pyc
/usr/lib/python2.4/site-packages/sqlite/main.py
/usr/lib/python2.4/site-packages/sqlite/main.pyc
/usr/share/doc/python-sqlite-1.1.6
/usr/share/doc/python-sqlite-1.1.6/LICENSE
/usr/share/doc/python-sqlite-1.1.6/README
/usr/share/doc/python-sqlite-1.1.6/doc
/usr/share/doc/python-sqlite-1.1.6/doc/rest
/usr/share/doc/python-sqlite-1.1.6/doc/rest/manual.txt
/usr/share/doc/python-sqlite-1.1.6/examples
/usr/share/doc/python-sqlite-1.1.6/examples/converters.py
/usr/share/doc/python-sqlite-1.1.6/examples/dbapi_transactions.py
/usr/share/doc/python-sqlite-1.1.6/examples/manual_transactions.py

Comment 3 Seth Vidal 2005-07-29 18:55:58 UTC
okay that looks right.

type:
python

then at the prompt type:
import sqlite

what happens?


Comment 4 han pingtian 2005-08-08 06:34:51 UTC
Python 2.4.1 (#1, May 16 2005, 15:19:29) 
[GCC 4.0.0 20050512 (Red Hat 4.0.0-5)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import sqlite
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File
"/usr/src/build/539311-i386/install//usr/lib/python2.4/site-packages/sqlite/__init__.py",
line 1, in ?
ImportError: /usr/lib/python2.4/site-packages/_sqlite.so: undefined symbol:
sqlite3_libversion

Comment 5 Seth Vidal 2005-08-08 06:40:02 UTC
run this:

rpm -V sqlite python-sqlite

and post the results, please.

Comment 6 han pingtian 2005-08-09 01:18:29 UTC
rpm -V sqlite python-sqlite has no message be printed. echo $? is 0.

Comment 7 Seth Vidal 2005-08-10 06:10:21 UTC
okay a few final things b/c this has got me boggled.
which python
python -V
which yum

thanks


Comment 8 han pingtian 2005-08-11 01:17:47 UTC
$ which python
/usr/bin/python
$ python -V
Python 2.4.1
$ which yum
/usr/bin/yum

you are welcome

Comment 9 Seth Vidal 2005-08-11 06:10:31 UTC
okay - I'm beginning to say you're fibbing to me but can you run:
sqlite3


does that succeed?


Comment 10 han pingtian 2005-08-12 01:24:30 UTC
$ sqlite3
sqlite3: symbol lookup error: sqlite3: undefined symbol: sqlite3_libversion

Tha't is the problem?

Comment 11 Seth Vidal 2005-08-12 01:48:02 UTC
yes, that is the problem.

just for fun run this:
rpm -qa | grep sqlite
then
rpm -qi sqlite

thanks

Comment 12 han pingtian 2005-08-15 01:11:03 UTC
$ rpm -qa|grep sqlite
sqlite2-devel-2.8.16-1.fc4
python-sqlite-1.1.6-1
sqlite-devel-3.1.2-3
sqlite2-2.8.16-1.fc4
sqlite-3.1.2-3

$ rpm -qi sqlite
Name        : sqlite                       Relocations: (not relocatable)
Version     : 3.1.2                             Vendor: Red Hat, Inc.
Release     : 3                             Build Date: Sun 10 Apr 2005 12:07:24
PM CST
Install Date: Fri 13 May 2005 05:44:28 PM CST      Build Host:
decompose.build.redhat.com
Group       : Applications/Databases        Source RPM: sqlite-3.1.2-3.src.rpm
Size        : 379847                           License: Public Domain
Signature   : DSA/SHA1, Tue 26 Apr 2005 03:41:38 AM CST, Key ID da84cbd430c9ecf8
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
URL         : http://www.sqlite.org/
Summary     : Library that implements an embeddable SQL database engine
Description :
SQLite is a C library that implements an SQL database engine. A large
subset of SQL92 is supported. A complete database is stored in a
single disk file. The API is designed for convenience and ease of use.
Applications that link against SQLite can enjoy the power and
flexiblity of an SQL database without the administrative hassles of
supporting a separate database server.  Version 2 and version 3 binaries
are named to permit each to be installed on a single host

Comment 13 Seth Vidal 2005-08-15 02:04:50 UTC
remove the sqlite2 and sqlite2-devel packages.

see if the problem goes away.

thanks

Comment 14 han pingtian 2005-08-16 06:41:37 UTC
no. I have removed the sqlite2 and sqlite2-devel, but the problem does't go away.

Comment 15 Seth Vidal 2005-08-16 21:48:48 UTC
Your LD_LIBRARY_PATH isn't defined in some funky way, is it? You're not loading
your libraries or loading some old libraries, are you?

Comment 16 han pingtian 2005-08-23 00:57:23 UTC
No, it isn't. No, I hava not do that.

Comment 17 Seth Vidal 2005-08-23 03:51:38 UTC
Then you've got me stumped. I can't think of anything else to try other than
removing ALL of the associated parts and reinstalling them.

Heck if you want try that.

but right now I can neither replicate nor fix your problem.
I'm sorry.



Comment 18 han pingtian 2005-08-24 01:36:52 UTC
I am sorry. I have found that I had installed a old sqlite3 in the
/usr/local/lib .... The sqlite3 linked to /usr/local/lib/libsqlite.so. Thank you
very very much!


Note You need to log in before you can comment on or make changes to this bug.